:root {
    --background: #1e1f26;
    --background2: #131419;
    --text: #e8e9f3;
    --text2: #c9cce4;
    --borders: #6e738a; /*#8a8f9d;*/
    --primaccent: #5e5aba; /*#7874d5;*/
    --secaccent: #817ee3; /*#9b90e9;*/
}
@keyframes flowing {
    from {
        color: var(--primaccent);
        margin-bottom: 10vmin;
        border-bottom: 0px solid var(--primaccent);
        box-shadow: 0 7vmin 5vmin 1vmin var(--primaccent);
    }
    to {
        color: var(--text); /*white;*/
        margin-bottom: 0vmin;
        border-bottom: 1px solid var(--borders);
        box-shadow: 0 0 0 0 var(--borders);
    }
}
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
@keyframes trippy {
    0% {
        text-shadow: 0 0 5px #ff0000, 0 0 10px #00ff00, 0 0 15px #0000ff;
    }
    25% {
        text-shadow: 0 0 5px #00ff00, 0 0 10px #0000ff, 0 0 15px #ff0000;
    }
    50% {
        text-shadow: 0 0 5px #0000ff, 0 0 10px #ff0000, 0 0 15px #00ff00;
    }
    75% {
        text-shadow: 0 0 5px #ff0000, 0 0 10px #00ff00, 0 0 15px #0000ff;
    }
    100% {
        text-shadow: 0 0 5px #00ff00, 0 0 10px #0000ff, 0 0 15px #ff0000;
    }
}
@keyframes chromatic-abhorration {
    0% {
        filter: hue-rotate(0deg);
    }
    25% {
        filter: hue-rotate(90deg);
    }
    50% {
        filter: hue-rotate(180deg);
    }
    75% {
        filter: hue-rotate(270deg);
    }
    100% {
        filter: hue-rotate(360deg);
    }
}
.shakey {
    animation: shakeyanim 0.2s;
}
@keyframes shakeyanim {
    0% {
        transform: translate(100%, -100%) scale(1.95) rotate(15deg);
    }
    85% {
        transform: rotate(3deg);
    }
    100% {
        transform: translate(0) scale(1) rotate(0deg);
    }
}
.trippy-element {
    animation: chromatic-abhorration 10s infinite linear;
}
@keyframes blurry {
    from {
        filter: blur(0vmin);
    }
    to {
        filter: blur(0.3vmin);
    }
}
.blurry-vision.animating {
    animation: blurry 0.5s infinite alternate;
}
fieldset {
    margin: auto;
    max-width: 300px;
}
fieldset input {
    width: 100%;
}
input:invalid {
    box-shadow: 0 0 2vmin 2vmin red;
}
iframe {
    animation: fadeIn 2s linear;
}
.mainhead {
    position: relative;
    animation: flowing 0.3s forwards;
    height: 20vmin;
    width: 100%;
    margin: 0;
    padding: 0 4vmin;
    font-size: x-large;
    text-align: center;
}
h5 {
    margin: 0;
    padding: 0;
    color: var(--primaccent);
}
button:hover {
    animation: blurry 0.2s;
}
body {
    display: block;
    padding: 0vmin;
    margin: 0vmin;
    background: var(--background);
    color: var(--text);
    height: 100vmin;
    text-align: center;
    font-size: 4vmin;
    overflow: hidden;
}
header {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 90%;
    right: 0;
    border-bottom: 1px solid var(--borders);
}
header img {
    height: 100%;
}
main {
    position: absolute;
    top: 10%;
    left: 0;
    bottom: 10%;
    right: 25%;
    overflow-y: scroll;
    overflow-x: hidden;
    background: var(--background2);
    padding: 0;
    margin: 0;
}
a {
    color: var(--text2);
    text-decoration: none;
}
aside {
    position: absolute;
    top: 10%;
    left: 75%;
    bottom: 10%;
    right: 0;
    overflow-y: scroll;
    overflow-x: hidden;
    background: var(--secaccent);
    font-size: 3.6vmin;
    text-align: center;
    border-left: 1px solid var(--borders);
}
aside img {
    max-width: 100%;
    height: 20vmin;
}
nav {
    min-height: 100%;
    width: 100%;
    background: var(--primaccent);
    border-top: 1px solid var(--borders);
}
nav ul {
    padding: 0.5vmin 0vmin;
    margin: 0vmin 1vmin;
    list-style-type: none;
}
nav li {
    display: block;
    padding: 1vmin 0;
    margin: 0.5vmin 0;
    background: var(--background2);
    border: 1px solid var(--text);
}
nav li:hover {
    background: var(--text);
    color: var(--background);
    border: 1px solid black;
}
.subnav {
    margin-left: 1.5vmin;
    box-shadow: -1.5vmin 0 2vmin -1vmin var(--text);
    border-radius: 1.4vmin 0 0 1.4vmin;
    color: var(--text2);
    background: var(--background);
    text-align: center;
}
footer {
    position: absolute;
    top: 90%;
    left: 0;
    bottom: 0;
    right: 0;
    border-top: 1px solid var(--borders);
}
#dialog {
    max-height: 90%;
    max-width: 90%;
    box-shadow: 0 0 10vmin 2vmin;
    background: rgba(0, 0, 0, 0.8);
    border: 0.2vmin solid var(--borders);
    border-radius: 2vmin;
    padding: 1vmin;
}
#dialog img {
    max-width: 98%;
    max-height: 90%;
    overflow: hidden;
}
.card {
    width: 90%;
    background-color: var(--background);
    padding: 2vmin;
    border-radius: 3vmin;
    margin: 2vmin auto;
    border: 1px solid var(--borders);
}
.card-header {
    border-bottom: 1px solid var(--borders);
    margin: 0 0 2vmin 0;
    padding: 0 0 2vmin 0;
    text-align: left;
}
.card-title {
    font-weight: bold;
    color: #fff;
    margin: 0;
    padding: 0 2vmin;
}

.card-post {
    font-weight: normal;
    color: #fff;
    text-align: left;
    margin: 2vmin 0;
}
.indent {
    text-indent: 5vmin;
}

#mainframe {
    padding: 0;
    margin: 0;
    width: 100%;
    height: 100%;
}

#btnportfolio,
#btnsoupsynh {
    display: none;
}
#btndev {
    float: right;
    opacity: 0;
}
@media (aspect-ratio: 1/1) {
    body,
    p,
    h2 {
        background: pink;
        color: black;
    }
}
@media (orientation: landscape) {
    main {
        position: absolute;
        top: 10%;
        left: 0;
        bottom: 10%;
        right: 12%;
    }
    aside {
        position: absolute;
        top: 10%;
        left: 87%;
        bottom: 10%;
        right: 0;
        font-size: 2.2vmin;
    }
    button {
        font-size: 2.2vmin;
    }
}
.pianocont {
    display: inline;
    width: 100%;
    height: 10%;
    margin: 0;
    padding: 0;
}
.pianocont button {
    float: left;
    box-sizing: border-box;
    height: 100%;
    width: calc(100% / 25);
    margin: 0;
    padding: 0;
    border: 0px solid red;
    outline: none;
    background-color: transparent;
    padding: 0;
    margin: 0;
}
.pianocont .white {
    background-color: #fff;
    box-shadow: 0 5vmin 1vmin 0 inset grey;
}
.pianocont .black {
    background-color: rgba(60, 20, 20, 1);
    box-shadow: 0 3vmin 1vmin 0 inset black, 0 -1vmin 1vmin 0 inset darkgrey;
}
hr {
    border: 0px solid var(--borders);
    border-top: 1px solid var(--borders);
}
